Surge synth testers wanted, also an LV2 version in the works

All your LV2 and LADSPA goodness and more.

Moderators: MattKingUSA, khz

Kott
Established Member
Posts: 164
Joined: Thu Mar 21, 2013 12:55 am
Location: Vladivostok

Re: Surge synth testers wanted, also an LV2 version in the works

Post by Kott »

lilith wrote:Same here. I wanted to build the vst2 version but that's not possible as the vst2 sdk is not available.
http://www.steinberg.net/sdk_downloads/ ... ld_352.zip

User avatar
milk
Established Member
Posts: 221
Joined: Tue Jan 05, 2016 9:08 am
Location: Edinburgh
Contact:

Re: Surge synth testers wanted, also an LV2 version in the works

Post by milk »

That .so binary is compiled/linked against library versions that were correct for a different version of Debian.

You could compile the binary yourself with the newer system, or maybe someone else could provide a built binary package of Surge and the libraries required.

Or you could move to a rolling release distro and deal with what some would describe as a lesser evil with it comes to upgrading.
they/them ta / wiki.thingsandstuff.org/Audio and related pages - a collection of mostly Linux and free links / Linux Digital Audio and Music Workstation Comparison Matrix - collaborative Google Sheet (slightly broken, no time/cpu power to fix here)

Drumfix
Established Member
Posts: 243
Joined: Mon Jan 26, 2009 5:15 pm

Re: Surge synth testers wanted, also an LV2 version in the works

Post by Drumfix »

Maybe adding a symbolic link is sufficient.
In the directory where libxcb-util0.so.1 is located:

Code: Select all

sudo ln -s libxcb-util0.so.1 libxcb-util.so.1

User avatar
lilith
Established Member
Posts: 1195
Joined: Fri May 27, 2016 11:41 pm
Location: bLACK fOREST
Contact:

Re: Surge synth testers wanted, also an LV2 version in the works

Post by lilith »

I try to compile it, but there's a problem with premake5. I donwloaded the executable and put it into /home/marco/bin

When executing

Code: Select all

./build-linux.sh build
I get

Code: Select all

ERROR: You do not have premake5 on your path

Please download and install premake from https://premake.github.io per the Surge README.md

Code: Select all

which premake5
also gives me nothing. How can I make it find the premake file?
https://soundcloud.com/lilith_93
latest: https://soundcloud.com/lilith_93/deeper-and-deeper
_____________________________
Debian 10 - BUSTER (XFCE) & KXStudio repos

User avatar
lilith
Established Member
Posts: 1195
Joined: Fri May 27, 2016 11:41 pm
Location: bLACK fOREST
Contact:

Re: Surge synth testers wanted, also an LV2 version in the works

Post by lilith »

Got some help from milk:

after

Code: Select all

PATH=$PATH:~/bin 
it works
https://soundcloud.com/lilith_93
latest: https://soundcloud.com/lilith_93/deeper-and-deeper
_____________________________
Debian 10 - BUSTER (XFCE) & KXStudio repos

artofmusic
Established Member
Posts: 89
Joined: Mon Mar 17, 2014 8:01 pm

Re: Surge synth testers wanted, also an LV2 version in the works

Post by artofmusic »

The VST Variant crashes the QT5 Based DAW Muse upon adding it to the arranger and the LV2 misbehaves from time to time. Also, the GUI is kind of slow. However, the sounds are awesome. Here are some crash logs from Muse.
surge-crash-logs.zip
You do not have the required permissions to view the files attached to this post.

User avatar
lilith
Established Member
Posts: 1195
Joined: Fri May 27, 2016 11:41 pm
Location: bLACK fOREST
Contact:

Re: Surge synth testers wanted, also an LV2 version in the works

Post by lilith »

It is also possible to install the self compiled surge in the home directory. It's described in this bug report.

https://github.com/surge-synthesizer/surge/issues/1247
https://soundcloud.com/lilith_93
latest: https://soundcloud.com/lilith_93/deeper-and-deeper
_____________________________
Debian 10 - BUSTER (XFCE) & KXStudio repos

Post Reply